Bug 847501 - Review Request: readosm - Library to extract data from Open Streetmap input files
Summary: Review Request: readosm - Library to extract data from Open Streetmap input f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jørn Lomax
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-12 11:15 UTC by Volker Fröhlich
Modified: 2012-09-17 22:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-27 22:56:43 UTC
northlomax: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Volker Fröhlich 2012-08-12 11:15:13 UTC
Spec URL: http://www.geofrogger.net/review/readosm.spec
SRPM URL: http://www.geofrogger.net/review/readosm-1.0.0a-1.fc16.src.rpm
Description:

ReadOSM is a simple library intended for extracting the contents from 
Open Street Map files: both input formats (.osm XML based and .osm.pbf based
on Google's Protocol Buffer serialization) are indifferently supported.

Fedora Account System Username: volter

Scratch builds:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=663664
http://koji.fedoraproject.org/koji/taskinfo?taskID=4380380

Comment 1 Jørn Lomax 2012-08-13 11:36:34 UTC
Please add INSTALL, NEWS and README to docs. Is there supposed to be documentation for the devel package?

Apart from those two, it's good to go. Nice clean package. 

I will post the full review when you have fixed them

Comment 2 Volker Fröhlich 2012-08-14 06:26:17 UTC
The NEWS file is empty. README only contains the description I use in the package, as well as information on how to run coverage tests or build documentation. Neither is possible without the sources. INSTALL contains generic installation instructions and must not be installed according to http://fedoraproject.org/wiki/Packaging:Guidelines#Documentation.

Comment 3 Jørn Lomax 2012-08-15 21:55:58 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GENERATED FILE", "GPL (v2 or later)", "MPL (v/) GPL
     (unversioned/unknown version)" For detailed output of licensecheck see
     file: /home/makerpm/rpmbuild/REVIEW/847501-readosm/licensecheck.txt
[ ]: MUST License file installed when any subpackage combination is installed.
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[ ]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
See: http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL5

Rpmlint
-------
Checking: readosm-debuginfo-1.0.0a-1.fc17.i686.rpm
          readosm-devel-1.0.0a-1.fc17.i686.rpm
          readosm-1.0.0a-1.fc17.src.rpm
          readosm-1.0.0a-1.fc17.i686.rpm
readosm-devel.i686: W: no-documentation
readosm.src: W: spelling-error %description -l en_US osm -> ism, oms, OS
readosm.src: W: spelling-error %description -l en_US pbf -> Pb, bf, pf
readosm.i686: W: spelling-error %description -l en_US osm -> ism, oms, OS
readosm.i686: W: spelling-error %description -l en_US pbf -> Pb, bf, pf
4 packages and 0 specfiles checked; 0 errors, 5 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint readosm-devel
readosm-devel.i686: I: enchant-dictionary-not-found en_US
readosm-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

Requires
--------
readosm-debuginfo-1.0.0a-1.fc17.i686.rpm (rpmlib, GLIBC filtered):
    

readosm-devel-1.0.0a-1.fc17.i686.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config  
    libreadosm.so.1  
    pkgconfig  
    readosm(x86-32) = 1.0.0a-1.fc17

readosm-1.0.0a-1.fc17.i686.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig  
    libc.so.6  
    libexpat.so.1  
    libz.so.1  
    rtld(GNU_HASH)  

Provides
--------
readosm-debuginfo-1.0.0a-1.fc17.i686.rpm:
    
    readosm-debuginfo = 1.0.0a-1.fc17
    readosm-debuginfo(x86-32) = 1.0.0a-1.fc17

readosm-devel-1.0.0a-1.fc17.i686.rpm:
    
    pkgconfig(readosm) = 1.0.0a
    readosm-devel = 1.0.0a-1.fc17
    readosm-devel(x86-32) = 1.0.0a-1.fc17

readosm-1.0.0a-1.fc17.i686.rpm:
    
    libreadosm.so.1  
    readosm = 1.0.0a-1.fc17
    readosm(x86-32) = 1.0.0a-1.fc17

MD5-sum check
-------------
http://www.gaia-gis.it/gaia-sins/readosm-1.0.0a.tar.gz :
  MD5SUM this package     : 2a29279e131150777a94f0900692e569
  MD5SUM upstream package : 2a29279e131150777a94f0900692e569


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 847501
External plugins:

*************************
this package is APPROVED*
*************************

Comment 4 Volker Fröhlich 2012-08-15 22:21:10 UTC
Thank you!

Comment 5 Volker Fröhlich 2012-08-15 22:23:06 UTC
New Package SCM Request
=======================
Package Name: readosm
Short Description: Library to extract data from Open Streetmap input files
Owners: volter
Branches: f16 f17 f18 el6
InitialCC:

Comment 6 Gwyn Ciesla 2012-08-16 12:34:33 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2012-08-16 16:31:12 UTC
readosm-1.0.0a-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/readosm-1.0.0a-1.fc17

Comment 8 Fedora Update System 2012-08-16 16:31:23 UTC
readosm-1.0.0a-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/readosm-1.0.0a-1.fc18

Comment 9 Fedora Update System 2012-08-16 16:31:35 UTC
readosm-1.0.0a-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/readosm-1.0.0a-1.fc16

Comment 10 Fedora Update System 2012-08-16 16:31:49 UTC
readosm-1.0.0a-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/readosm-1.0.0a-1.el6

Comment 11 Fedora Update System 2012-08-16 21:27:25 UTC
readosm-1.0.0a-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 12 Fedora Update System 2012-08-19 13:28:26 UTC
readosm-1.0.0a-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/readosm-1.0.0a-2.fc16

Comment 13 Fedora Update System 2012-08-19 13:28:38 UTC
readosm-1.0.0a-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/readosm-1.0.0a-2.fc17

Comment 14 Fedora Update System 2012-08-19 13:28:49 UTC
readosm-1.0.0a-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/readosm-1.0.0a-2.el6

Comment 15 Fedora Update System 2012-08-19 13:28:59 UTC
readosm-1.0.0a-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/readosm-1.0.0a-2.fc18

Comment 16 Fedora Update System 2012-08-27 22:56:43 UTC
readosm-1.0.0a-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2012-08-27 22:58:36 UTC
readosm-1.0.0a-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2012-09-03 17:33:13 UTC
readosm-1.0.0a-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2012-09-17 22:06:17 UTC
readosm-1.0.0a-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.